Автор Тема: Не обновляются пакеты  (Прочитано 1864 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн saikle

  • Новичок форума
  • Topic Author
  • Сообщений: 3
Не обновляются пакеты
« : 23 Август 2018, 22:15:34 »
Нажимаю apt-get upgrade
Spoiler: ShowHide

Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install».
Пакеты, имеющие неудовлетворённые зависимости:
 openmediavault : Зависит: php-fpm
                  Зависит: php-cgi
                  Зависит: php-pam но он не может быть установлен
                  Зависит: php-bcmath
                  Зависит: php-xml
                  Зависит: btrfs-progs но он не установлен
 sysvinit-utils : Зависит: init-system-helpers (>= 1.25~) но 1.22 уже установлен
E: Неудовлетворённые зависимости. Попытайтесь использовать -f.


apt-get install -f

Spoiler: ShowHide

Пакеты, имеющие неудовлетворённые зависимости:
 openmediavault : Зависит: php-fpm
                  Зависит: php-cgi
                  Зависит: php-pam но он не может быть установлен
                  Зависит: php-bcmath
                  Зависит: php-xml
                  Зависит: btrfs-progs но он не установлен
 sysvinit-utils : Зависит: init-system-helpers (>= 1.25~) но 1.22 уже установлен
E: Неудовлетворённые зависимости. Попытайтесь использовать -f.
root@server:/etc/apt/sources.list.d# sudo apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  apt-transport-https bc beep btrfs-progs btrfs-tools collectd collectd-core cpufrequtils cron-apt cups cups-client cups-core-drivers cups-daemon cups-filters
  cups-filters-core-drivers cups-ppdc cups-server-common dc deluge deluge-common deluge-console deluge-gtk deluge-web deluged dmeventd duplicati easy-rsa etherwake
  fonts-freefont-ttf foomatic-db foomatic-db-engine fping gdisk ghostscript gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-gtk-2.0 gir1.2-pango-1.0
  gsfonts gtk-sharp2 gtk-sharp2-examples gtk-sharp2-gapi hdparm hp-ppd ifenslave intltool jfsutils jq libaio1 libappindicator0.1-cil libasn1-8-heimdal libasprintf0c2
  libatk1.0-dev libboost-atomic1.55.0 libboost-python-dev libboost-system1.62.0 libboost-thread1.55.0 libcairo-script-interpreter2 libcairo2-dev libcpufreq0 libcupscgi1
  libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libdbi-perl libdbi1 libdevmapper-event1.02.1 libdirectfb-1.2-9 libecap3 libelfg0 libenca0 libencode-locale-perl
  libfile-copy-recursive-perl libfile-listing-perl libfile-slurp-perl libfluidsynth1 libfontembed1 libgdk-pixbuf2.0-dev libgeoip-dev libglade2.0-cil-dev libglib2.0-bin
  libglib2.0-cil-dev libglib2.0-dev libgs9 libgs9-common libgtk2.0-cil-dev libgtk2.0-dev libgutenprint2 libharfbuzz-dev libharfbuzz-gobject0 libhcrypto4-heimdal
  libhdb9-heimdal libheimbase1-heimdal libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-date-perl libhttp-message-perl
  libhttp-negotiate-perl libhx509-5-heimdal libice-dev libijs-0.35 libio-html-perl libio-socket-ssl-perl libip4tc0 libjavascript-minifier-xs-perl libjbig2dec0
  libjs-extjs6 libkrb5-26-heimdal liblapack3 libldb1 liblocale-po-perl liblvm2cmd2.02 liblwp-mediatypes-perl liblwp-protocol-https-perl liblz4-1 libmad0 libmemcached11
  libmemcachedutil2 libmikmod3 libmono-corlib4.0-cil libnet-http-perl libnet-ssleay-perl libnet1 libnetfilter-conntrack3 libnl-3-200 libnl-genl-3-200 libntdb1
  libopenal-data libopenal1 libopts25 libossp-uuid16 libpango1.0-dev libpangoxft-1.0-0 libpaper1 libpcap0.8 libperl4-corelibs-perl libpixman-1-dev libpkcs11-helper1
  libpoppler46 libportmidi0 libqpdf13 libreadline5 libroken18-heimdal librrd4 libsdl-image1.2 libsdl-mixer1.2 libsdl-ttf2.0-0 libsm-dev libsmpeg0 libsnmp-base libtalloc2
  libtevent0 libtimedate-perl libtorrent-rasterbar-dev libtorrent-rasterbar7 liburi-perl libwbclient0 libwind0-heimdal libwww-perl libwww-robotrules-perl
  libxcb-render0-dev libxcb-shm0-dev libxcomposite-dev libxcursor-dev libxdamage-dev libxext-dev libxfixes-dev libxi-dev libxinerama-dev libxml-libxml-perl
  libxml-namespacesupport-perl libxml-parser-perl libxml-sax-base-perl libxml-sax-perl libxml2-utils libxrandr-dev lvm2 monit nast nginx ntfs-3g ntp openprinting-ppds
  openssh-blacklist-extra openvpn perl-openssl-defaults php-sabre-dav php-sabre-vobject php-symfony-class-loader php5-pam pm-utils poppler-data poppler-utils
  printer-driver-foo2zjs printer-driver-foo2zjs-common printer-driver-gutenprint printer-driver-splix proftpd-basic proftpd-mod-vroot python-appindicator python-cairo
  python-characteristic python-croniter python-crypto python-cups python-daemon python-dateutil python-dnspython python-geoip python-glade2 python-gobject
  python-gobject-2 python-gobject-2-dev python-gtk2 python-gtk2-dev python-ldb python-libtorrent python-lockfile python-mako python-markupsafe python-notify python-ntdb
  python-numpy python-pyasn1-modules python-pygame python-samba python-service-identity python-support python-talloc python-tdb python-twisted python-twisted-bin
  python-twisted-conch python-twisted-core python-twisted-lore python-twisted-mail python-twisted-names python-twisted-news python-twisted-runner python-twisted-web
  python-twisted-words python-tz python-xdg python-zope.interface python3-dialog python3-natsort python3-netifaces python3-pyudev quota quotatool rrdcached rrdtool samba
  samba-common samba-common-bin samba-dsdb-modules samba-libs samba-vfs-modules sdparm smartmontools squid-common squid-langpack tdb-tools update-inetd uuid wakeonlan
  wpasupplicant x11proto-composite-dev x11proto-damage-dev x11proto-fixes-dev x11proto-randr-dev x11proto-xext-dev x11proto-xinerama-dev xfsprogs xmlstarlet
Для их удаления используйте «apt-get autoremove».
Будут установлены следующие дополнительные пакеты:
  btrfs-progs btrfs-tools init-system-helpers
Пакеты, которые будут УДАЛЕНЫ:
  openmediavault
НОВЫЕ пакеты, которые будут установлены:
  btrfs-progs
Пакеты, которые будут обновлены:
  btrfs-tools init-system-helpers
обновлено 2, установлено 1 новых пакетов, для удаления отмечено 1 пакетов, и 269 пакетов не обновлено.
не установлено до конца или удалено 47 пакетов.
Необходимо скачать 0 B/638 kB архивов.
После данной операции, объём занятого дискового пространства уменьшится на 9 113 kB.
Хотите продолжить? [Д/н]



В итоге ошибка

Spoiler: ShowHide

Настраивается пакет util-linux (2.29.2-1+deb9u1) …
insserv: warning: script 'MonoServerRun.sh' missing LSB tags and overrides
insserv: There is a loop between service watchdog and MonoServerRun.sh if stopped
insserv:  loop involving service MonoServerRun.sh at depth 2
insserv:  loop involving service watchdog at depth 1
insserv: Stopping MonoServerRun.sh depends on watchdog and therefore on system facility `$all' which can not be true!
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: ошибка при обработке пакета util-linux (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
 util-linux
E: Sub-process /usr/bin/dpkg returned an error code (1)



Debian был с omv версии 3, потом обновил omv до 4 версии.
То есть с Debian 8 до Debian 9
И теперь пакеты не обновляются и не устанавливаются.
Debian без gui.

Openmediavault больше не нужен (использовал для графического крона, теперь разобрался).

Подскажите, пожалуйста, как починить?
« Последнее редактирование: 23 Август 2018, 22:17:46 от saikle »
 

Оффлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1986
  • Новосибирск
Re: Не обновляются пакеты
« Ответ #1 : 24 Август 2018, 03:28:40 »
Список источников покажи:
cat /etc/apt/sources.list /etc/apt/sources.list.d/*

Оффлайн ChubaDuba

  • Старожил
  • ****
  • Сообщений: 765
  • Debian 9 & Xmonad
    • Бλог
  • Jabber: achubakov@jabber.ru
Re: Не обновляются пакеты
« Ответ #2 : 24 Август 2018, 17:07:09 »
Debian без gui.
Зачем тогда например, deluge-gtk?
Бλог   @chuba_duba
 

Оффлайн saikle

  • Новичок форума
  • Topic Author
  • Сообщений: 3
Re: Не обновляются пакеты
« Ответ #3 : 25 Август 2018, 09:51:59 »
Список источников покажи:
cat /etc/apt/sources.list /etc/apt/sources.list.d/*

сделал

Spoiler: ShowHide
cat /etc/apt/sources.list /etc/apt/sources.list.d/*
#

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171202-11:23]/ stretch contrib main non-free

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171202-11:23]/ stretch contrib main non-free

#deb http://mirror.yandex.ru/debian/ stretch main
#deb-src http://mirror.yandex.ru/debian/ stretch main

#deb http://security.debian.org/ stretch/updates main contrib non-free
#deb-src http://security.debian.org/ stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
#deb http://mirror.yandex.ru/debian/ stretch-updates main contrib non-free
#deb-src http://mirror.yandex.ru/debian/ stretch-updates main contrib non-free
#deb http://www.deb-multimedia.org stretch main non-free
#deb http://packages.dotdeb.org stretch all
#deb-src http://packages.dotdeb.org stretch all

#deb http://mirror.yandex.ru/debian squeeze main contrib non-free


#------------------------------------------------------------------------------#
#                   OFFICIAL DEBIAN REPOS
#------------------------------------------------------------------------------#

###### Debian Main Repos
deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free

deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports maindeb http://download.opensuse.org/repositories/isv:/ownCloud:/devel:/Qt562/Debian_8.0/ /
deb http://download.opensuse.org/repositories/isv:/ownCloud:/devel:/Qt562/Debian_8.0/ /
deb https://deb.nodesource.com/node_5.x jessie main
deb-src https://deb.nodesource.com/node_5.x jessie main
deb https://deb.nodesource.com/node_5.x jessie main
deb-src https://deb.nodesource.com/node_5.x jessie main
deb http://download.opensuse.org/repositories/isv:/ownCloud:/community/Debian_9.0/ /
deb http://download.opensuse.org/repositories/isv:/ownCloud:/community/Debian_8.0/ /
deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main
deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main



Debian без gui.
Зачем тогда например, deluge-gtk?

Это у меня домашний сервер. У deluge есть Web UI. Можно скачивать и потом пользоваться  с любых других устройств.
« Последнее редактирование: 25 Август 2018, 09:54:22 от saikle »
 

Оффлайн aazmandius

  • Новичок форума
  • Сообщений: 9
Re: Не обновляются пакеты
« Ответ #4 : 25 Август 2018, 11:45:29 »
эммм стесняюсь спросить какая ошибка?
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3161
  • Linux Registered User #547151
Re: Не обновляются пакеты
« Ответ #5 : 25 Август 2018, 15:39:01 »
Типичный случай. Каша в sources.list = выстрел в ногу.
Вам сюда

Оффлайн saikle

  • Новичок форума
  • Topic Author
  • Сообщений: 3
Re: Не обновляются пакеты
« Ответ #6 : 08 Сентябрь 2018, 20:09:52 »
Так и не получилось. Рабирался с source. Вроде исправил. Прошу заметить, что большинство неверных строк комментировано у меня. Проблема такая же

Spoiler: ShowHide
cat /etc/apt/sources.list /etc/apt/sources.list.d/*
#

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171202-11:23]/ stretch contrib main non-free

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171202-11:23]/ stretch contrib main non-free

#deb http://mirror.yandex.ru/debian/ stretch main
#deb-src http://mirror.yandex.ru/debian/ stretch main

#deb http://security.debian.org/ stretch/updates main contrib non-free
#deb-src http://security.debian.org/ stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
#deb http://mirror.yandex.ru/debian/ stretch-updates main contrib non-free
#deb-src http://mirror.yandex.ru/debian/ stretch-updates main contrib non-free
#deb http://www.deb-multimedia.org stretch main non-free
#deb http://packages.dotdeb.org stretch all
#deb-src http://packages.dotdeb.org stretch all

#deb http://mirror.yandex.ru/debian squeeze main contrib non-free


#------------------------------------------------------------------------------#
#                   OFFICIAL DEBIAN REPOS
#------------------------------------------------------------------------------#

###### Debian Main Repos
###### Debian Main Repos
deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free

deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports main
deb https://deb.nodesource.com/node_5.x stretch main
deb-src https://deb.nodesource.com/node_5.x stretch main
deb https://deb.nodesource.com/node_5.x stretch main
deb-src https://deb.nodesource.com/node_5.x stretch main
deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main
deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main
 

Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3674
  • Buster TDE & KDE
Re: Не обновляются пакеты
« Ответ #7 : 08 Сентябрь 2018, 21:57:42 »
У вас сторонние репы в списке, надо полагать что поставлен из них левый софт. Какой помощи от форума вы ждёте?
Русские дебианщики против цифрового слабоумия !
 

Теги:
 

Сломались пакеты при обновлении.

Автор APL

Ответов: 6
Просмотров: 2198
Последний ответ 20 Апрель 2012, 22:09:22
от vladimir_ar
Как удалить лишние пакеты?

Автор Самир

Ответов: 3
Просмотров: 1825
Последний ответ 11 Май 2014, 06:01:35
от varius
[Решено] Ищу пакеты: linux-compiler-gcc-4.6-x86_3.12.9-1~bpo70+1_i386.deb и ...

Автор Aalexeey

Ответов: 2
Просмотров: 1856
Последний ответ 08 Июль 2015, 15:27:54
от Aalexeey
apt-move копирует не все пакеты

Автор Baron Rojo

Ответов: 1
Просмотров: 973
Последний ответ 18 Январь 2017, 13:29:20
от sidbar
[РЕШЕНО] Почему autoremove предлагает кое-что удалить, хотя я не удалял пакеты?

Автор Veritas Vestas

Ответов: 3
Просмотров: 1138
Последний ответ 26 Январь 2020, 18:36:17
от Veritas Vestas